Bug 883162 - (CVE-2012-5617) CVE-2012-5617 gksu-polkit: privilege escalation due to improper authentication settings in policykit configuration file
CVE-2012-5617 gksu-polkit: privilege escalation due to improper authenticatio...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20121212,repo...
: Security
Depends On: 886671
Blocks: 883168
  Show dependency treegraph
 
Reported: 2012-12-03 17:52 EST by Vincent Danen
Modified: 2015-08-22 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-12-03 17:52:57 EST
Miroslav Trmac reported that gksu-polkit ships with an extremely permissive PolicyKit policy configuration file [1].  Because gksu-polkit allows a user to execute a program with administrative privileges, and because the default allow_active setting is "auth_self" rather than "auth_admin", any local user can use gksu-polkit to execute arbitrary programs (like a bash shell) with root privileges.

For example:

$ cat foo.sh
#! /bin/bash
id -a
# not just gksu-polkit id -a because gksu-polkit tries to interpret the -a
# this prompts for user's password only
$ gksu-polkit /home/user/foo.sh
uid=0(root) gid=0(root) groups=0(root) context=system_u:system_r:initrc_t:s0


[1] http://anonscm.debian.org/gitweb/?p=users/kov/gksu-polkit.git;a=blob;f=data/org.gnome.gksu.policy;h=ff0e4187941147d4f6c7ca53ebd1757521337288;hb=HEAD
Comment 2 Vincent Danen 2012-12-12 15:42:25 EST
Created gksu-polkit tracking bugs for this issue

Affects: fedora-18 [bug 886671]
Comment 3 Fedora Update System 2013-03-06 18:00:32 EST
gksu-polkit-0.0.3-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Vincent Danen 2013-07-23 12:23:17 EDT
This issue was not properly fixed; please see bug #987561 (CVE-2013-4161) for details.
Comment 5 Fedora Update System 2013-08-03 20:02:20 EDT
gksu-polkit-0.0.3-8.gitf8ce834c.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-03 20:08:03 EDT
gksu-polkit-0.0.3-8.gitf8ce834c.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.